This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112485 - Gnome Modem Lights Applet - Lights Not Functioning Properly
Gnome Modem Lights Applet - Lights Not Functioning Properly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 15:19 EST by Paulo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-23 17:30:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paulo 2003-12-20 15:19:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.4.1)
Gecko/20031030

Description of problem:
In this fresh installation of Fedora Core 1, when adding the the Modem
Lights applet to the gnome paneal, alghough the device is already set
to ppp0 (advanced preferences) and into the full /sbin/ifup ppp0 
command (general preferences), the commands seems not to work when
pressing the connect/disconnect button (and confirming in the
respective window)...

Trying to reproduce such commands in a root shell:

/sbin/ifdown ppp0

The response is the following:

use: ifdown <name of device>

If I try (with the modem already in use):

/sbin/ifup ppp0

The response is that:

/sbin/ifup the configuration for ppp0 has not been found
Use: ifup <name of device>

However, the modem has already been configured throught the internet
connection wizard (although not detected in the probe) and, morover,
seems to work properly throught the network devices control system...
(actually, I'm sending this message through the mentioned system,
properly connected)

PS: Had to configure the correct /dev/ttyS_ set (to /dev/ttyS1) in the
advanced preferences manually.



Version-Release number of selected component (if applicable):
Modem Lights 2.4.1

How reproducible:
Always

Steps to Reproduce:
1. Add the Modem Lights to the gnome panel
2. Try to connect
3. Check preferences
    

Additional info:
Comment 1 Steve Blamey 2003-12-22 10:50:09 EST
I've just been setting up the modem on a Fedora Core-1 box and I've
used redhat-config-network to setup the modem hardware and added an
entry on the 'device' tab. The device has a nickname and this is what
should be entered in the commands for the gnome modem lights applet,
not ppp0 (unless the nickname is ppp0).

Check in the directory /etc/sysconfig/network-scripts and you will see
a file called ifcfg-Nickname that contains the paramteters for the
connection. In my case I have ifcfg-Freeserve so my modem lights
commands are:

Connect: /sbin/ifup Freeserve
Disconnect: /sbin/ifdown Freeserve

In the Advanced tab the device is still ppp0 and the lock file is
/var/lock/LCK..modem

When I click the button on the lights applet I get connected and get
all the flashing colours, bar chart, etc.

Hope this helps!
Comment 2 Paulo 2003-12-23 17:30:21 EST
Thank you very much Steve!

It did work!

Modem Lights functional now!!!!

Note You need to log in before you can comment on or make changes to this bug.